> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete related data records > Delete a record in a related data set.
Request body example:

{"datasetName": "products",
"key": "testuser@domain.com",
"filter":
[{
"name":"bicycle",
"value":"14"
}]
}
## OpenAPI ````json POST /relatedData/deleteRecords { "openapi": "3.0.4", "info": { "title": "Engage public API", "version": "1" }, "servers": [ { "url": "https://your-engage-domain.com/api/rest" } ], "tags": [ { "name": "Address Attributes" }, { "name": "Async" }, { "name": "Audit Log" }, { "name": "Automation" }, { "name": "Blacklist" }, { "name": "CMS" }, { "name": "Contact" }, { "name": "Content" }, { "name": "Coupon" }, { "name": "Draft Message" }, { "name": "Ecommerce" }, { "name": "Group" }, { "name": "Group Attributes" }, { "name": "Landing Page" }, { "name": "Member Attributes" }, { "name": "Membership" }, { "name": "Message" }, { "name": "Meta" }, { "name": "Mobile Push" }, { "name": "Prepared Message" }, { "name": "Process" }, { "name": "Profile Attributes" }, { "name": "Related Data" }, { "name": "Segmentation" }, { "name": "System" }, { "name": "System User" }, { "name": "Usage Statistics" }, { "name": "User" }, { "name": "Whiteboard" } ], "paths": { "/relatedData/deleteRecords": { "post": { "tags": [ "Related Data" ], "summary": "Delete related data records", "description": "Delete a record in a related data set.
Request body example:

{\"datasetName\": \"products\",
\"key\": \"testuser@domain.com\",
\"filter\":
[{
\"name\":\"bicycle\",
\"value\":\"14\"
}]
}
", "operationId": "deleteRecords", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/RelatedDataFilter" } } }, "x-bodyName": "body" }, "responses": { "200": { "description": "", "content": { "application/octet-stream": { "schema": { "type": "integer", "format": "int64" } } } }, "400": { "description": "", "content": { "application/octet-stream": {} } } } } } }, "components": { "schemas": { "RelatedDataFilter": { "type": "object", "properties": { "datasetName": { "type": "string" }, "key": { "type": "string" }, "filter": { "type": "array", "items": { "$ref": "#/components/schemas/Attribute" } } } }, "Attribute": { "type": "object", "properties": { "name": { "type": "string" }, "value": { "type": "string" } } } } } } ````